=== debian/changelog ===
ros-humble-rosbag2-test-common (0.15.7-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosbag2-test-common (0.15.6-1jammy) jammy; urgency=high

  * Add extra checks in execute_and_wait_until_completion(..) (#1346 <https://github.com/ros2/rosbag2/issues/1346>) (#1357 <https://github.com/ros2/rosbag2/issues/1357>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 05 Jun 2023 00:00:00 -0000

ros-humble-rosbag2-test-common (0.15.5-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rosbag2-test-common (0.15.4-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rosbag2-test-common (0.15.3-1jammy) jammy; urgency=high

  * Fix for ros2 bag play exit with non-zero code on SIGINT (#1126 <https://github.com/ros2/rosbag2/issues/1126>) (#1147 <https://github.com/ros2/rosbag2/issues/1147>)
  * Contributors: mergify[bot]

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-test-common (0.15.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 11 May 2022 00:00:00 -0000

ros-humble-rosbag2-test-common (0.15.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 06 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-test-common (0.15.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-test-common (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-test-common (0.14.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Contributors: Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-test-common (0.13.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-rosbag2-test-common (0.12.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-rosbag2-test-common (0.11.0-1jammy) jammy; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-humble-rosbag2-test-common (0.10.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 22 Oct 2021 00:00:00 -0000

ros-humble-rosbag2-test-common (0.10.0-1jammy) jammy; urgency=high

  * Make sure the subscription exists before publishing messages (#804 <https://github.com/ros2/rosbag2/issues/804>)
  * Handle SIGTERM gracefully in recording (#792 <https://github.com/ros2/rosbag2/issues/792>)
  * Add spin_and_wait_for_matched to PublicationManager and update test c… (#797 <https://github.com/ros2/rosbag2/issues/797>)
  * Avoid passing exception KeyboardInterrupt to the upper layer (#788 <https://github.com/ros2/rosbag2/issues/788>)
  * Contributors: Barry Xu, Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-rosbag2-test-common (0.9.0-1jammy) jammy; urgency=high

  * Add play_next() API to the player class (#762 <https://github.com/ros2/rosbag2/issues/762>)
  * use rclcpp::SerializedMessage in MemoryManagement (#750 <https://github.com/ros2/rosbag2/issues/750>)
  * remodel publication manager (#749 <https://github.com/ros2/rosbag2/issues/749>)
  * use public recorder api in tests (#741 <https://github.com/ros2/rosbag2/issues/741>)
  * player owns the reader (#725 <https://github.com/ros2/rosbag2/issues/725>)
  * Contributors: Karsten Knese, Michael Orlov

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 17 May 2021 00:00:00 -0000

ros-humble-rosbag2-test-common (0.8.0-1jammy) jammy; urgency=high

  * Remove -Werror from builds, enable it in Action CI (#722 <https://github.com/ros2/rosbag2/issues/722>)
  * Fix bad_function_call by replacing rclcpp::spin_some with SingleThreadedExecutor (#705 <https://github.com/ros2/rosbag2/issues/705>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Contributors: Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 19 Apr 2021 00:00:00 -0000

ros-humble-rosbag2-test-common (0.7.0-1jammy) jammy; urgency=high

  * Remove temporary directory platform-specific logic from test fixture (#660 <https://github.com/ros2/rosbag2/issues/660>)
  * Contributors: Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-rosbag2-test-common (0.6.0-1jammy) jammy; urgency=high

  * Stabilize test_record by reducing copies of executors and messages (#576 <https://github.com/ros2/rosbag2/issues/576>)
  * Contributors: Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 01 Feb 2021 00:00:00 -0000

ros-humble-rosbag2-test-common (0.5.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 02 Dec 2020 00:00:00 -0000

ros-humble-rosbag2-test-common (0.4.0-1jammy) jammy; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * Contributors: Michael Jeronimo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 19 Nov 2020 00:00:00 -0000

ros-humble-rosbag2-test-common (0.3.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000


