## ros-humble-rosbag2-test-common 0.15.12

=== debian/changelog ===
ros-humble-rosbag2-test-common (0.15.12-1bookworm) bookworm; urgency=high

  * [humble] rosbag2_cpp: test more than one storage plugin (backport #1196 <https://github.com/ros2/rosbag2/issues/1196>) (#1721 <https://github.com/ros2/rosbag2/issues/1721>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 27 Jul 2024 16:00:00 -0000

ros-humble-rosbag2-test-common (0.15.11-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-rosbag2-test-common (0.15.10-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 May 2024 16:00:00 -0000

ros-humble-rosbag2-test-common (0.15.9-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rosbag2-test-common (0.15.8-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rosbag2-test-common (0.15.7-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rosbag2-test-common (0.15.6-1bookworm) bookworm; urgency=high

  * Add extra checks in execute_and_wait_until_completion(..) (#1346 <https://github.com/ros2/rosbag2/issues/1346>) (#1357 <https://github.com/ros2/rosbag2/issues/1357>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rosbag2-test-common (0.15.5-1bookworm) bookworm; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rosbag2-test-common (0.15.4-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rosbag2-test-common (0.15.3-1bookworm) bookworm; urgency=high

  * Fix for ros2 bag play exit with non-zero code on SIGINT (#1126 <https://github.com/ros2/rosbag2/issues/1126>) (#1147 <https://github.com/ros2/rosbag2/issues/1147>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rosbag2-test-common (0.15.2-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 10 May 2022 16:00:00 -0000

ros-humble-rosbag2-test-common (0.15.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 16:00:00 -0000

ros-humble-rosbag2-test-common (0.15.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rosbag2-test-common (0.14.1-1bookworm) bookworm; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-humble-rosbag2-test-common (0.14.0-1bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Contributors: Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-humble-rosbag2-test-common (0.13.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rosbag2-test-common (0.12.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rosbag2-test-common (0.11.0-1bookworm) bookworm; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 07 Nov 2021 16:00:00 -0000

ros-humble-rosbag2-test-common (0.10.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 21 Oct 2021 16:00:00 -0000

ros-humble-rosbag2-test-common (0.10.0-1bookworm) bookworm; urgency=high

  * Make sure the subscription exists before publishing messages (#804 <https://github.com/ros2/rosbag2/issues/804>)
  * Handle SIGTERM gracefully in recording (#792 <https://github.com/ros2/rosbag2/issues/792>)
  * Add spin_and_wait_for_matched to PublicationManager and update test c… (#797 <https://github.com/ros2/rosbag2/issues/797>)
  * Avoid passing exception KeyboardInterrupt to the upper layer (#788 <https://github.com/ros2/rosbag2/issues/788>)
  * Contributors: Barry Xu, Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Oct 2021 16:00:00 -0000

ros-humble-rosbag2-test-common (0.9.0-1bookworm) bookworm; urgency=high

  * Add play_next() API to the player class (#762 <https://github.com/ros2/rosbag2/issues/762>)
  * use rclcpp::SerializedMessage in MemoryManagement (#750 <https://github.com/ros2/rosbag2/issues/750>)
  * remodel publication manager (#749 <https://github.com/ros2/rosbag2/issues/749>)
  * use public recorder api in tests (#741 <https://github.com/ros2/rosbag2/issues/741>)
  * player owns the reader (#725 <https://github.com/ros2/rosbag2/issues/725>)
  * Contributors: Karsten Knese, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 16 May 2021 16:00:00 -0000

ros-humble-rosbag2-test-common (0.8.0-1bookworm) bookworm; urgency=high

  * Remove -Werror from builds, enable it in Action CI (#722 <https://github.com/ros2/rosbag2/issues/722>)
  * Fix bad_function_call by replacing rclcpp::spin_some with SingleThreadedExecutor (#705 <https://github.com/ros2/rosbag2/issues/705>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 18 Apr 2021 16:00:00 -0000

ros-humble-rosbag2-test-common (0.7.0-1bookworm) bookworm; urgency=high


